package Heats
  model heat_eq
    parameter Integer num = 20 "pocet prvku";
    parameter Real alfa = 10 "parametr vodivosti";
    //  Tlumeni t[20];
    Real u[num];
    //Tlumeni t[num];
    //  discrete Real x;
    //  Integer j;
    //discrete Real r[num];
  initial equation
    u[2:5] = 5.0 * ones(4);
    for i in 6:num - 1 loop
      u[i] = 1;
    end for;
  equation
    //for
    //connect(t[i+1].kon1, t[i].kon1);
    //when time > 2 then
    //	r[:] = pre(u[:]);
    //end when;
    //when sample(1, 10) then
    //	j = pre(j)+1;
    //	x = r[j];
    //end when;
    u[1] = u[2];
    u[end] = u[num - 1];
    for i in 2:num - 1 loop
      der(u[i]) = alfa * (u[i - 1] - 2 * u[i] + u[i + 1]);
    end for;
    annotation(Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})), Diagram(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})));
  end heat_eq;
  annotation(Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})), Diagram(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})));
end Heats;